Bug 1342570 - [abrt] gnome-boxes: g_source_unref_internal(): gnome-boxes killed by SIGSEGV
Summary: [abrt] gnome-boxes: g_source_unref_internal(): gnome-boxes killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-boxes
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christophe Fergeau
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:3733e5fc544ee3119a5bcb8f35d...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-03 14:33 UTC by Mikhail
Modified: 2017-08-08 14:44 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 14:44:58 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (55.06 KB, text/plain)
2016-06-03 14:33 UTC, Mikhail
no flags Details
File: cgroup (148 bytes, text/plain)
2016-06-03 14:34 UTC, Mikhail
no flags Details
File: core_backtrace (32.01 KB, text/plain)
2016-06-03 14:34 UTC, Mikhail
no flags Details
File: dso_list (18.14 KB, text/plain)
2016-06-03 14:34 UTC, Mikhail
no flags Details
File: environ (3.15 KB, text/plain)
2016-06-03 14:34 UTC, Mikhail
no flags Details
File: exploitable (82 bytes, text/plain)
2016-06-03 14:34 UTC, Mikhail
no flags Details
File: limits (1.29 KB, text/plain)
2016-06-03 14:34 UTC, Mikhail
no flags Details
File: maps (89.89 KB, text/plain)
2016-06-03 14:34 UTC, Mikhail
no flags Details
File: mountinfo (3.69 KB, text/plain)
2016-06-03 14:34 UTC, Mikhail
no flags Details
File: namespaces (102 bytes, text/plain)
2016-06-03 14:34 UTC, Mikhail
no flags Details
File: open_fds (2.32 KB, text/plain)
2016-06-03 14:34 UTC, Mikhail
no flags Details
File: proc_pid_status (1.11 KB, text/plain)
2016-06-03 14:34 UTC, Mikhail
no flags Details
File: var_log_messages (28 bytes, text/plain)
2016-06-03 14:34 UTC, Mikhail
no flags Details

Description Mikhail 2016-06-03 14:33:49 UTC
Version-Release number of selected component:
gnome-boxes-3.20.2-2.fc24

Additional info:
reporter:       libreport-2.7.1
backtrace_rating: 4
cmdline:        gnome-boxes
crash_function: g_source_unref_internal
executable:     /usr/bin/gnome-boxes
global_pid:     3387
kernel:         4.5.5-300.fc24.x86_64+debug
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reproducible:   Not sure how to reproduce the problem
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_source_unref_internal at gmain.c:2059
 #1 g_source_destroy_internal at gmain.c:1230
 #2 g_source_remove at gmain.c:2282
 #3 gvir_event_handle_update at libvirt-glib-event.c:255
 #4 virNetSocketUpdateIOCallback at rpc/virnetsocket.c:2001
 #5 virNetClientIOUpdateCallback at rpc/virnetclient.c:1660
 #6 virNetClientIO at rpc/virnetclient.c:1808
 #7 virNetClientSendInternal at rpc/virnetclient.c:1983
 #8 virNetClientSendWithReply at rpc/virnetclient.c:2011
 #9 virNetClientProgramCall at rpc/virnetclientprogram.c:329

Comment 1 Mikhail 2016-06-03 14:33:59 UTC
Created attachment 1164536 [details]
File: backtrace

Comment 2 Mikhail 2016-06-03 14:34:01 UTC
Created attachment 1164537 [details]
File: cgroup

Comment 3 Mikhail 2016-06-03 14:34:03 UTC
Created attachment 1164538 [details]
File: core_backtrace

Comment 4 Mikhail 2016-06-03 14:34:05 UTC
Created attachment 1164539 [details]
File: dso_list

Comment 5 Mikhail 2016-06-03 14:34:07 UTC
Created attachment 1164540 [details]
File: environ

Comment 6 Mikhail 2016-06-03 14:34:08 UTC
Created attachment 1164541 [details]
File: exploitable

Comment 7 Mikhail 2016-06-03 14:34:10 UTC
Created attachment 1164542 [details]
File: limits

Comment 8 Mikhail 2016-06-03 14:34:13 UTC
Created attachment 1164543 [details]
File: maps

Comment 9 Mikhail 2016-06-03 14:34:14 UTC
Created attachment 1164544 [details]
File: mountinfo

Comment 10 Mikhail 2016-06-03 14:34:16 UTC
Created attachment 1164545 [details]
File: namespaces

Comment 11 Mikhail 2016-06-03 14:34:18 UTC
Created attachment 1164546 [details]
File: open_fds

Comment 12 Mikhail 2016-06-03 14:34:20 UTC
Created attachment 1164547 [details]
File: proc_pid_status

Comment 13 Mikhail 2016-06-03 14:34:22 UTC
Created attachment 1164548 [details]
File: var_log_messages

Comment 14 Fedora End Of Life 2017-07-25 20:59:56 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2017-08-08 14:44:58 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.